首先确保debian上安装了python和ruby的开发包

sudo apt-get install python-dev ruby-dev liberuby-dev

下载vim 7.3的源代码

hg clone https://vim.googlecode.com/hg/ vim_src

生成配置文件. 我要使用支持python和ruby编写的vim插件, 当然也要支持多字节的环境了.

./configure –enable-rubyinterp –enable-pythoninterp –with-features=big|grep “python”

编译

make

检查一下看看python特性有没有问题

src/vim –version|grep python

安装

sudo make install

运行vim.
发现Buffer Explorer插件报错. 到官网下载更新.

相关文章

    共享到: